RepositoryConfiguration (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve.maven.aether.config
[Groovy] Class RepositoryConfiguration

    java.lang.Object
      org.codehaus.groovy.grails.resolve.maven.aether.config.RepositoryConfiguration

    @groovy.transform.CompileStatic
    class RepositoryConfiguration

Allows configurations a repository's policy

Authors:
  Graeme Rocher

Since:
  2.3

Property Summary
`org.eclipse.aether.repository.RepositoryPolicy` | `defaultRepositoryPolicy`
`org.eclipse.aether.repository.RemoteRepository$Builder` | `remoteRepository`

Constructor Summary
`RepositoryConfiguration(org.eclipse.aether.repository.RemoteRepository$Builder remoteRepository)`

Method Summary
`org.eclipse.aether.repository.Authentication` | `auth(java.util.Map credentials)`
`org.eclipse.aether.repository.Authentication` | `authentication(java.util.Map credentials)`
`void` | `checksumPolicy(java.lang.String checksumPolicy)`
`void` | `proxy(java.lang.String type, java.lang.String host, int port, org.eclipse.aether.repository.Authentication auth = null)`
`void` | `proxy(java.lang.String host, int port, org.eclipse.aether.repository.Authentication auth = null)`
`void` | `updatePolicy(java.lang.String updatePolicy)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### defaultRepositoryPolicy

    org.eclipse.aether.repository.RepositoryPolicy defaultRepositoryPolicy

### remoteRepository

    @groovy.lang.Delegate
    org.eclipse.aether.repository.RemoteRepository$Builder remoteRepository

Constructor Detail

### RepositoryConfiguration

    RepositoryConfiguration(org.eclipse.aether.repository.RemoteRepository$Builder remoteRepository)

Method Detail

### auth

    org.eclipse.aether.repository.Authentication auth(java.util.Map credentials)

### authentication

    org.eclipse.aether.repository.Authentication authentication(java.util.Map credentials)

### checksumPolicy

    void checksumPolicy(java.lang.String checksumPolicy)

### proxy

    void proxy(java.lang.String type, java.lang.String host, int port, org.eclipse.aether.repository.Authentication auth = null)

### proxy

    void proxy(java.lang.String host, int port, org.eclipse.aether.repository.Authentication auth = null)

### updatePolicy

    void updatePolicy(java.lang.String updatePolicy)

Groovy Documentation